<!--
 * @Descripttion: 销售线索-门店任务-任务详情-完成详细信息
 * @version: 1.0.0
 * @Author: 阿羽
 * @Date: 2021-04-13 17:57:01
 * @LastEditors: 阿羽
 * @LastEditTime:  2021-04-13 17:57:01
 -->
<!--
  <salesleads-taskinfo :item="item"></salesleads-taskinfo>
  import salesleadsTaskinfo from '@/components/review/salesleads-task-info.vue';
 -->
<template>
  <el-dialog title="完成详情" :visible.sync="dialogVisible" width="600px">
    <div class="">
      <el-form :model="ruleForm" :rules="rules" ref="ruleForm" label-width="120px" class="demo-ruleForm">
        <el-form-item label="完成时间" prop="appName"> </el-form-item>
        <el-form-item label="完成方式" prop="appId"> </el-form-item>
        <el-form-item label="备注" prop="title"> </el-form-item>
        <el-form-item label="图片" prop="title"> </el-form-item>
      </el-form>
    </div>
  </el-dialog>
</template>
<script>
export default {
  props: {
    item: {
      type: Object,
      default() {
        return {};
      }
    }
  },
  components: {},
  data() {
    return {
      dialogVisible: true,
      form: {
        appName: '',
        appId: '',
        title: ''
      }
    };
  },
  methods: {},
  watch: {
    item(newData) {
      const that = this;
      if (Object.keys(newData).length) {
        that.$nextTick(() => {
          that.ruleForm = JSON.parse(JSON.stringify(newData));
        });
      }
    }
  },
  mounted() {
    const that = this;
    if (Object.keys(that.item).length) {
      that.$nextTick(() => {
        that.ruleForm = JSON.parse(JSON.stringify(that.item));
      });
    }
  }
};
</script>
<style lang="scss" scoped></style>
